Loading...
Searching...
No Matches
L4drivers::Register_block_impl< BASE, MAX_BITS > Struct Template Reference

Implementation helper for register blocks. More...

Inheritance diagram for L4drivers::Register_block_impl< BASE, MAX_BITS >:
Collaboration diagram for L4drivers::Register_block_impl< BASE, MAX_BITS >:

## Detailed Description

template<typename BASE, unsigned MAX_BITS = 32>
struct L4drivers::Register_block_impl< BASE, MAX_BITS >

Implementation helper for register blocks.

Parameters

  BASE | The class implementing read<> and write<> template functions for accessing the registers. This class must inherit from Register_block_impl.
  MAX_BITS | The maximum access width for the register file. Supported values are 8, 16, 32, or 64.

This template allows easy implementation of register files by providing read<> and write<> template functions, see Mmio_register_block as an example.

Definition at line 455 of file hw_register_block.

The documentation for this struct was generated from the following file:

- pkg/drivers-frst/include/hw_register_block